Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class FrameAccessTest

    java.lang.Object
      java.lang.Thread
          scone.accesstracking.FrameAccessTest

All Implemented Interfaces:
  java.lang.Runnable

    public class FrameAccessTest

extends java.lang.Thread

This thread demonstrates the use of the FrameAccess class. It creates a little GUI with following features:

- A list of frameNames to choose one
- A text field for an URL
- A list to choose one of the targets
- A button to send the OpenURL command
- A button to send the BringToFront command

Version:
  1.1, 02/13/2003
Author:
  Torsten Hass, Harald Weinreich

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`FrameAccessTest()`

Method Summary
`void` | `framesChanged(java.util.Set contents)` This method is called by FrameAccess everytime a new frame was added to or removed from list of active frames.
`void` | `run()` This method starts the thread and opens the gui.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameAccessTest

    public FrameAccessTest()

Method Detail

### run

    public void run()

  This method starts the thread and opens the gui.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### framesChanged

    public void framesChanged(java.util.Set contents)

  This method is called by FrameAccess everytime a new frame was added to or removed from list of active frames. It updates the list in the gui.
  To be notified about frame list changes, this method has to be implemented and FrameAccess's notifyMe method has to be called to register this class.

  Parameters:
    `contents` - A Set of parent frame names (if existing) concated with frame names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD